quagga_1.2.4-1_amd64.deb


Advertisement

Description

quagga - network routing daemons (metapackage)

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name quagga
Package version 1.2.4
Package release 1
Package architecture amd64
Package type deb
Installed size 42 B
Download size 6.18 KB
Official Mirror archive.ubuntu.com
GNU Quagga is free software which manages TCP/IP based routing protocols.
It supports BGP4, BGP4+, OSPFv2, OSPFv3, IS-IS, RIPv1, RIPv2, and RIPng as
well as the IPv6 versions of these.
As the predecessor Zebra has been considered orphaned, the Quagga project
has been formed by members of the zebra mailing list and the former
zebra-pj project to continue developing.
Quagga uses threading if the kernel supports it, but can also run on
kernels that do not support threading. Each protocol has its own daemon.
It is more than a routed replacement, it can be used as a Route Server and
a Route Reflector.
This metapackage depends on the full suite of Quagga routing daemons.

Alternatives

Package Version Architecture Repository
quagga_1.2.4-1_i386.deb 1.2.4 i386 Ubuntu Main
quagga - - -

Requires

Name Value
quagga-bgpd = 1.2.4-1
quagga-core = 1.2.4-1
quagga-isisd = 1.2.4-1
quagga-ospf6d = 1.2.4-1
quagga-ospfd = 1.2.4-1
quagga-pimd = 1.2.4-1
quagga-ripd = 1.2.4-1
quagga-ripngd = 1.2.4-1

Download

Type URL
Binary Package quagga_1.2.4-1_amd64.deb
Source Package quagga

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install quagga deb package:
    # sudo apt-get install quagga

Files

Path
/usr/share/doc/quagga/NEWS.Debian.gz
/usr/share/doc/quagga/changelog.Debian.gz
/usr/share/doc/quagga/copyright

Changelog

2018-03-17 - Brett Parker <iDunno@sommitrealweird.co.uk>
quagga (1.2.4-1) unstable; urgency=medium
* New maintainer (Closes: #884919)
* New upstream release (Closes: #890563)
- Fixes CVE-2018-5278
- Fixes CVE-2018-5279
- Fixes CVE-2018-5280
- Fixes CVE-2018-5281
2017-11-05 - Scott Leggett <scott@sl.id.au>
quagga (1.2.2-1) unstable; urgency=medium
* New upstream release (Closes: #879474, #857187).
* Rework patches to apply against new upstream version.
* Change zebra daemon GID to allow writing to /run/quagga (Closes: #880522).
* Change group permissions on Quagga.conf (Closes: #847106).
* Add missing build-dep on libc-ares-dev.
* Add patch for documentation fixes (Closes: #879971).
2017-04-05 - Scott Leggett <scott@sl.id.au>
quagga (1.1.1-3) unstable; urgency=medium
* Fix upgrade file conflict with old quagga packages (Closes: #859581).
2017-03-26 - Scott Leggett <scott@sl.id.au>
quagga (1.1.1-2) unstable; urgency=medium
* Remove libquagga0 and libquagga-dev binary packages (Closes: #856936).
- Move shared objects into quagga-core, as they are currently intended
by upstream to be private.
- Avoid shipping headers and static libraries at all.
- Upstream plans to ship with a stable API/ABI in future, and these
changes will be reviewed then.
2017-01-27 - Scott Leggett <scott@sl.id.au>
quagga (1.1.1-1) unstable; urgency=low
* SECURITY:
- New upstream bugfix release, fixes CVE-2017-5495 (Closes: #852454).
* Remove patch disabling debug print statements; fixed upstream.
* Update libquagga0.symbols for libzebra SONAME bump.
2017-01-03 - Scott Leggett <scott@sl.id.au>
quagga (1.1.0-3) unstable; urgency=low
* Update .service file patch (Closes: #849953).
2016-12-09 - Scott Leggett <scott@sl.id.au>
quagga (1.1.0-2) unstable; urgency=low
* Fix autopkgtests.
* Check for existing dpkg-statoverride on /etc/quagga (Closes: #847355).
2016-11-21 - Scott Leggett <scott@sl.id.au>
quagga (1.1.0-1) unstable; urgency=low
* New upstream release (Closes: #774760, #516226, #830515)
* Import packaging from the last debian release 1.0.20160315-3.
* Remove dump_fix.patch applied upstream.
* Remove patch which is no longer relevant.
* Remove patch for CVE-2016-1245 fixed upstream.
* Rely on automatic -dbgsym package rather than deprecated -dbg.
* Remove deprecated XS-testsuite header in debian/control.
* Remove template comment from debian/watch.
* Add patch to fix spelling and grammar errors.
* Register quagga-doc with doc-base.
* Add patch to fix ospfclient(8) manpage numbering.
* Added patch to avoid debug print statements on vtysh startup.
* Adopt package, set myself as maintainer (Closes: #836418).
* Add quagga user to quaggavty group in preinst.
* Drop patch for Debian pager default in vtysh (Closes: #788243).
* Update debian/copyright.
* Bump compat level to 10 (Closes: #534833).
* Use systemd .service files rather than init.d scripts (Closes: #678946,
#805840, #839819, #412483).
* Split quagga package out into multiple packages (Closes: #705306).
* Remove debconf question which left packages in inconsistent state.
* Add patch for manpage versioning.
* Update README.Debian, README.Maintainer.
* Removed patch on vtysh.conf.
* Add NEWS.Debian about the major changes to the package.
2016-10-18 - Florian Weimer <fw@deneb.enyo.de>
quagga (1.0.20160315-3) unstable; urgency=high
* Apply patch to fix CVE-2016-1245.  Closes: #841162.
2016-09-11 - Hugo Lefeuvre <hle@debian.org>
quagga (1.0.20160315-2) unstable; urgency=high
* QA upload.
* Run wrap-and-sort.
* debian/control:
- Set QA group as maintainer, as Christian orphaned the package (see
#837358).
- Bump Standards-Version to 3.9.8.
* SECURITY:
- CVE-2016-4049: Missing size check in bgp_dump_routes_func in
bgpd/bgp_dump.c allowing DoS (Closes: #822787).
- CVE-2016-4036: World readable sensitive files in /etc/quagga
(Closes: #835223).

See Also

Package Description
quota_4.04-2_amd64.deb disk quota management tools
rabbitmq-server_3.6.10-1_all.deb AMQP server written in Erlang
rados-objclass-dev_12.2.4-0ubuntu1_amd64.deb RADOS object class development kit
radosgw_12.2.4-0ubuntu1_amd64.deb REST gateway for RADOS distributed object store
radvd_2.16-3_amd64.deb Router Advertisement Daemon
rake_12.3.1-1_all.deb ruby make-like utility
raptor2-utils_2.0.14-1build1_amd64.deb Raptor 2 RDF parser and serializer utilities
rasqal-utils_0.9.32-1build1_amd64.deb Rasqal RDF Query utilities
rax-nova-agent_2.1.13-0ubuntu3_all.deb Rackspace Public Cloud Guest Agent
rdate_1.2-6_amd64.deb sets the system's date from a remote host
re2c_1.0.1-1_amd64.deb tool for generating fast C-based recognizers
readline-common_7.0-3_all.deb GNU readline and history libraries, common files
readline-doc_7.0-3_all.deb GNU readline and history libraries, documentation and examples
recode-doc_3.6-23_all.deb Documentation for Free recode
recode_3.6-23_amd64.deb Character set conversion utility
Advertisement
Advertisement